Delete a flag import configuration
curl --request DELETE \
--url https://app.launchdarkly.com/api/v2/integration-capabilities/flag-import/{projectKey}/{integrationKey}/{integrationId} \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/integration-capabilities/flag-import/{projectKey}/{integrationKey}/{integrationId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/integration-capabilities/flag-import/{projectKey}/{integrationKey}/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "optimistic_locking_error",
"message": "Conflict. Optimistic lock error. Try again later."
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Delete a flag import configuration
Delete a flag import configuration by ID. The integrationKey path parameter identifies the feature management system from which the import occurs, for example, split.
DELETE
/
api
/
v2
/
integration-capabilities
/
flag-import
/
{projectKey}
/
{integrationKey}
/
{integrationId}
Delete a flag import configuration
